<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___b_m_s__definitions" kind="group">
    <compoundname>group_ble_service_api_BMS_definitions</compoundname>
    <title>BMS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__bmss__char__t">cy_stc_ble_bmss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bmss__t">cy_stc_ble_bmss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bmsc__char__t">cy_stc_ble_bmsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bmsc__t">cy_stc_ble_bmsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bms__char__value__t">cy_stc_ble_bms_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bms__descr__value__t">cy_stc_ble_bms_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bmss__config__t">cy_stc_ble_bmss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bmsc__config__t">cy_stc_ble_bmsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___b_m_s__definitions_1gad31e3da7c6d5d4940e3d88fcacf30cda" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bms_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___b_m_s__definitions_1ggad31e3da7c6d5d4940e3d88fcacf30cdaa894b9857985eca4b0175178ae387415b" prot="public">
          <name>CY_BLE_BMS_BMCP</name>
          <briefdescription>
<para>Bond Management Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_m_s__definitions_1ggad31e3da7c6d5d4940e3d88fcacf30cdaa047565d631423483e75528ac3ab7cbb6" prot="public">
          <name>CY_BLE_BMS_BMFT</name>
          <briefdescription>
<para>Bond Management Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_m_s__definitions_1ggad31e3da7c6d5d4940e3d88fcacf30cdaace7ea2dfe08d6bcdf3e6f01554138298" prot="public">
          <name>CY_BLE_BMS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of BMS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bms_char_index_t: </bold><linebreak />Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="63" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="59" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___b_m_s__definitions_1ga9ded2c5632c9c03ef0ecb90fff2ccddf" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bms_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___b_m_s__definitions_1gga9ded2c5632c9c03ef0ecb90fff2ccddfa2ecceb87fe9af12931cad3d94fa60318" prot="public">
          <name>CY_BLE_BMS_CEPD</name>
          <briefdescription>
<para>Characteristic Extended Properties descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___b_m_s__definitions_1gga9ded2c5632c9c03ef0ecb90fff2ccddfac00d399258c24aaaaff1aa4f6ea9b335" prot="public">
          <name>CY_BLE_BMS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of BMS descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bms_descr_index_t: </bold><linebreak />Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="70" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bms.h" line="67" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the BMS specific definitions and data structures used in the BMS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>